package com.qianhe.zqcz.jcdw.service;

import com.qianhe.zqcz.jcdw.domain.ZqczJcdw;
import com.qianhe.zqcz.jcdw.domain.ZqczJcdwQuery;
import com.qianhe.zqcz.jcdw.domain.ZqczJcdwVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ZqczJcdwService {
    /**
     * 分页查询
     */
    List<ZqczJcdwVo> list(ZqczJcdwQuery zqczJcdwQuery);

    /**
     * 查询详情
     */
    ZqczJcdwVo info(Long jcdwid);

    /**
     * 新增
     */
    int add(ZqczJcdw zqczJcdw);

    /**
     * 修改
     */
    int edit(ZqczJcdw zqczJcdw);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 上传文件 批量新增
     */
    int batchAdd(Long zsrwid, MultipartFile file);

    /**
     * 通过直属任务ID 删除
     */
    int deleteZsrwid(Long zsrwid);
}
